Page MenuHomePhabricator

mediawiki - node: log (failed) connections
Closed, ResolvedPublic3 Story Points

Description

In order to be able to debug and monitor health of the rendering service we should log failed requests.

Checklist:

  • How often is the timeout hit
  • Do we get a response from the service that is not 200

Notes

Decisions Made
Logs are not specially namespaced beyond Wikibase but mention the method name to aid in making them discoverable in Logstash. Seems to follow precedence.
Metrics will go in wikibase.repo.TermboxRemoteRenderer.unsuccessfulResponse and wikibase.repo.TermboxRemoteRenderer.requestTimeout.

Event Timeline

Pablo-WMDE triaged this task as Normal priority.Feb 12 2019, 3:23 PM
Pablo-WMDE created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2019, 3:23 PM
Lea_WMDE set the point value for this task to 3.
Pablo-WMDE updated the task description. (Show Details)May 7 2019, 8:55 AM
Tarrow updated the task description. (Show Details)May 7 2019, 8:56 AM
Pablo-WMDE updated the task description. (Show Details)May 7 2019, 8:57 AM
Tarrow updated the task description. (Show Details)May 7 2019, 9:00 AM
Pablo-WMDE updated the task description. (Show Details)May 7 2019, 9:04 AM
Restricted Application added a subscriber: Danmichaelo. · View Herald TranscriptMay 7 2019, 9:04 AM
Tarrow updated the task description. (Show Details)May 7 2019, 9:07 AM
Pablo-WMDE updated the task description. (Show Details)May 7 2019, 9:15 AM
Tarrow claimed this task.May 8 2019, 10:35 AM
Tarrow moved this task from To Do to Doing on the Wikidata-Termbox-Iteration-15 board.

Change 508846 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/Wikibase@master] Add logging to Wikibase channel for TermboxRemoteRenderer failures

https://gerrit.wikimedia.org/r/508846

Tarrow updated the task description. (Show Details)May 8 2019, 4:18 PM

Change 509093 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/Wikibase@master] TermboxRemoteRenderer add stats logging

https://gerrit.wikimedia.org/r/509093

Tarrow removed Tarrow as the assignee of this task.May 10 2019, 4:02 PM
Tarrow added a subscriber: Tarrow.

Change 508846 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] TermboxRemoteRenderer: Add failure logging to Wikibase channel

https://gerrit.wikimedia.org/r/508846

Change 509093 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] TermboxRemoteRenderer add stats logging

https://gerrit.wikimedia.org/r/509093

Jakob_WMDE closed this task as Resolved.May 22 2019, 9:25 AM